#ifndef ROOTHRESHOLD
#define ROOTHRESHOLD

#include "RooAbsPdf.h"
#include "RooRealProxy.h"
#include "RooAbsReal.h"

class RooThreshold : public RooAbsPdf {
  public:
    RooThreshold(const char *name, const char *title,
	      RooAbsReal& _x,
	      RooAbsReal& _norm,
	      RooAbsReal& _offset,
	      RooAbsReal& _power,
	      RooAbsReal& _coeff1,
	      RooAbsReal& _coeff2);
    RooThreshold(const RooThreshold& other, const char* name=0);
    virtual TObject* clone(const char* newname) const { return new RooThreshold(*this,newname); }
    inline ~RooThreshold() { }

  protected:

    RooRealProxy x;

    RooRealProxy norm;
    RooRealProxy offset;
    RooRealProxy power;
    RooRealProxy coeff1;
    RooRealProxy coeff2;

    Double_t evaluate() const;

  private:

};

#endif
